--- old/usr/src/cmd/dtrace/test/tst/common/mib/tst.udp.ksh	2017-05-26 19:11:08.636251994 -0400
+++ new/usr/src/cmd/dtrace/test/tst/common/mib/tst.udp.ksh	2017-05-26 19:11:08.671342051 -0400
@@ -23,7 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 #
 # This script tests that several of the the mib:::udp* probes fire and fire
@@ -50,10 +49,10 @@
 EOF
 }
 
-rupper()
+udpper()
 {
 	while true; do
-		rup localhost
+		showmount localhost >/dev/null 2>&1
 		/usr/bin/sleep 1
 	done
 }
@@ -65,10 +64,10 @@
 
 dtrace=$1
 
-rupper &
-rupper=$!
+udpper &
+udpper=$!
 script
 status=$?
 
-kill $rupper
+kill $udpper
 exit $status
--- old/usr/src/cmd/rpcsvc/Makefile	2017-05-26 19:11:09.601246251 -0400
+++ new/usr/src/cmd/rpcsvc/Makefile	2017-05-26 19:11:09.643887296 -0400
@@ -27,81 +27,20 @@
 
 PROTOCOL_DIR= $(ROOT)/usr/include/rpcsvc
 
-BINPROG= rusers rup
-SBINPROG= rwall spray
-RPROG= rpc.rusersd
-SPROG= rpc.sprayd
-WPROG= rpc.rwalld
-TPROG= rpc.rstatd
-
-PROG= $(BINPROG) $(SBINPROG) $(RPROG) $(SPROG) $(WPROG) $(TPROG)
-
-MANIFEST= \
-	rusers.xml \
-	spray.xml \
-	wall.xml \
-	rstat.xml
-
-SVCMETHOD=
-
-SCLNTOBJS= spray.o spray_clnt.o
-SSVCOBJS= spray_subr.o spray_svc.o
-WCLNTOBJS = rwall.o rwall_clnt.o
-WSVCOBJS= rwall_subr.o rwall_svc.o
-TSVCOBJS= rstat_main.o rstat_proc.o rstat_svc.o rstat_v2_svc.o rstat_v2_xdr.o
-
-DERIVED_FILES = rstat.x rstat.h rstat_svc.c rstat_v2.h rstat_v2_svc.c \
-		rstat_v2_xdr.c spray.x spray.h spray_clnt.c spray_svc.c \
-		rwall.x rwall.h rwall_svc.c rwall_clnt.c
-
 include ../Makefile.cmd
 
-ROOTMANIFESTDIR=	$(ROOTSVCNETWORKRPC)
-
-CPPFLAGS= -I. $(CPPFLAGS.master)
-CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-extra
-CERRWARN += -_gcc=-Wno-unused-function
-LDLIBS += -lnsl
-rusers :=	CFLAGS += $(CCVERBOSE)
-$(BINPROG) :=	LDLIBS += -lrpcsvc
-$(RPROG) :=	LDLIBS += -lrpcsvc
-$(SPROG) :=	LDLIBS += -lrpcsvc
-$(TPROG) :=	LDLIBS += -lrpcsvc
-spray :=	LDLIBS += -lrpcsvc
-
-
 SUBDIRS= rpc.bootparamd
-OBJS= $(SCLNTOBJS) $(SSVCOBJS) $(WCLNTOBJS) $(WSVCOBJS) $(TSVCOBJS)
-SRCS= $(OBJS:%.o=%.c) rusers.c rpc.rusersd.c rup.c
-
 ETCFILES= rpc
 
 TXTS= $(ETCFILES:%=net_files/%)
 
 NETSVC=	$(ROOTLIB)/netsvc
 NIS = $(NETSVC)/nis
-RWALL= $(NETSVC)/rwall
-RUSERS= $(NETSVC)/rusers
-SPRAY= $(NETSVC)/spray
-RSTAT= $(NETSVC)/rstat
 
 ROOTDIRS= \
 		$(NETSVC) \
 		$(NIS) \
-		$(RWALL) \
-		$(RUSERS) \
-		$(SPRAY) \
-		$(RSTAT)
-
-IBINPROG=		$(BINPROG:%=$(ROOTBIN)/%)
-ISBINPROG=		$(SBINPROG:%=$(ROOTUSRSBIN)/%)
-IWPROG=			$(WPROG:%=$(RWALL)/%)
-ISPROG=			$(SPROG:%=$(SPRAY)/%)
-IRPROG=			$(RPROG:%=$(RUSERS)/%)
-ITPROG=			$(TPROG:%=$(RSTAT)/%)
+
 IETCFILES=		$(ETCFILES:%=$(ROOTETC)/%)
 
 # non-default file attributes
@@ -113,57 +52,16 @@
 clobber:=	TARGET= clobber
 lint:=		TARGET= lint
 
-rpc.rstatd:=	LDLIBS += -lkstat
-rwall:=		CPPFLAGS += -D_REENTRANT
-rpc.rwalld:=	CPPFLAGS += -D_REENTRANT
-
 # install rules
 
-$(RWALL)/% $(SPRAY)/% $(RUSERS)/% $(RSTAT)/%: %
-	$(INS.file)
-
 $(ROOTETC)/%: ./net_files/%
 	$(INS.file)
 
 .KEEP_STATE:
 
-all: $(PROG) $(TXTS) $(SUBDIRS)
-
-# multi-object targets
-#
-spray:	$(SCLNTOBJS)
-	$(LINK.c) $(SCLNTOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-spray_svc.o spray_clnt.o: spray.h
-
-rpc.sprayd: $(SSVCOBJS)
-	$(LINK.c) $(SSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rwall_svc.o rwall_clnt.o: rwall.h
-
-rwall: $(WCLNTOBJS)
-	$(LINK.c) $(WCLNTOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rpc.rwalld: $(WSVCOBJS)
-	$(LINK.c) $(WSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rstat_main.o:	rstat.h rstat_v2.h
-
-rstat_svc.o: rstat.h
+all: $(TXTS) $(SUBDIRS)
 
-rstat_V2_svc.o rstat_V2_xdr.o: rstat_v2.h
-
-rpc.rstatd: $(TSVCOBJS)
-	$(LINK.c) $(TSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-install: $(PROG) $(TXTS) .WAIT $(ROOTDIRS) .WAIT $(IBINPROG) $(ISBINPROG) \
-	$(IWPROG) $(ISPROG) $(IRPROG) $(ITPROG) $(IETCFILES) $(SUBDIRS) \
-	$(ROOTMANIFEST) $(ROOTSVCMETHOD)
+install: $(TXTS) .WAIT $(ROOTDIRS) .WAIT $(IETCFILES) $(SUBDIRS)
 
 $(ROOTDIRS):
 	$(INS.dir)
@@ -171,69 +69,13 @@
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
-#
-# Derived files
-#
-
-rstat.x: $(PROTOCOL_DIR)/rstat.x
-	$(RM) rstat.x
-	$(CP) $(PROTOCOL_DIR)/rstat.x rstat.x
-
-rstat.h: $(PROTOCOL_DIR)/rstat.h
-	$(RM) rstat.h
-	$(CP) $(PROTOCOL_DIR)/rstat.h rstat.h
-
-rstat_svc.c: rstat.x
-	$(RPCGEN) -C -m rstat.x > $@
-
-rstat_v2.h: rstat_v2.x
-	$(RPCGEN) -C -h rstat_v2.x > $@
-
-rstat_v2_svc.c: rstat_v2.x
-	$(RPCGEN) -C -m rstat_v2.x > $@
-
-rstat_v2_xdr.c: rstat_v2.x
-	$(RPCGEN) -c rstat_v2.x > $@
-
-spray.x: $(PROTOCOL_DIR)/spray.x
-	$(RM) spray.x
-	$(CP) $(PROTOCOL_DIR)/spray.x spray.x
-
-spray.h: $(PROTOCOL_DIR)/spray.h
-	$(RM) spray.h
-	$(CP) $(PROTOCOL_DIR)/spray.h spray.h
-
-spray_svc.c: spray.x
-	$(RPCGEN) -s datagram_v -s circuit_v spray.x > $@
-
-spray_clnt.c: spray.x
-	$(RPCGEN) -l spray.x > $@
-
-rwall.x: $(PROTOCOL_DIR)/rwall.x
-	$(RM) rwall.x
-	$(CP) $(PROTOCOL_DIR)/rwall.x rwall.x
-
-rwall.h: $(PROTOCOL_DIR)/rwall.h
-	$(RM) rwall.h
-	$(CP) $(PROTOCOL_DIR)/rwall.h rwall.h
-
-rwall_svc.c: rwall.x
-	$(RPCGEN) -A -s datagram_v rwall.x > $@
-
-rwall_clnt.c: rwall.x
-	$(RPCGEN) -l -M rwall.x > $@
-
-check:	$(CHKMANIFEST)
+check:
 
 clean: $(SUBDIRS)
-	-$(RM) $(OBJS) $(DERIVED_FILES)
 
 clobber: $(SUBDIRS)
 
 lint:
-	$(LINT.c) $(WCLNTOBJS:%.o=%.c) -lnsl -lrpcsvc
-	$(LINT.c) $(WSVCOBJS:%.o=%.c) -lnsl -lrpcsvc
-	$(LINT.c) rusers.c -lnsl -lrpcsvc
 
 FRC:
 
--- old/usr/src/man/man1/Makefile	2017-05-26 19:11:17.692394830 -0400
+++ new/usr/src/man/man1/Makefile	2017-05-26 19:11:17.729110824 -0400
@@ -323,9 +323,7 @@
 	 	rpcgen.1			\
 	 	rsh.1				\
 	 	runat.1				\
-	 	rup.1				\
 	 	ruptime.1			\
-	 	rusers.1			\
 	 	rwho.1				\
 	 	sar.1				\
 	 	script.1			\
--- old/usr/src/man/man1c/Makefile	2017-05-26 19:11:19.392422967 -0400
+++ new/usr/src/man/man1c/Makefile	2017-05-26 19:11:19.427220364 -0400
@@ -20,7 +20,6 @@
 
 MANFILES= 	ct.1c		\
 		cu.1c		\
-		rup.1c		\
 		uucp.1c		\
 		uuencode.1c	\
 		uuglist.1c	\
--- old/usr/src/man/man1m/Makefile	2017-05-26 19:11:20.874410542 -0400
+++ new/usr/src/man/man1m/Makefile	2017-05-26 19:11:20.918016331 -0400
@@ -409,11 +409,7 @@
 		route.1m		\
 		routeadm.1m		\
 		rpc.bootparamd.1m	\
-		rpc.rstatd.1m		\
-		rpc.rusersd.1m		\
-		rpc.rwalld.1m		\
 		rpc.smserverd.1m	\
-		rpc.sprayd.1m		\
 		rpc.yppasswdd.1m	\
 		rpc.ypupdated.1m	\
 		rpcbind.1m		\
@@ -423,7 +419,6 @@
 		rtc.1m			\
 		rtquery.1m		\
 		runacct.1m		\
-		rwall.1m		\
 		sac.1m			\
 		sacadm.1m		\
 		saf.1m			\
@@ -456,7 +451,6 @@
 		snoop.1m		\
 		soconfig.1m		\
 		sppptun.1m		\
-		spray.1m		\
 		statd.1m		\
 		stmfadm.1m		\
 		stmsboot.1m		\
@@ -609,15 +603,10 @@
 		rlogind.1m			\
 		routed.1m			\
 		rshd.1m				\
-		rstatd.1m			\
-		rusersd.1m			\
-		rwalld.1m			\
-		rwhod.1m			\
 		sa1.1m				\
 		sa2.1m				\
 		sadc.1m				\
 		shutacct.1m			\
-		sprayd.1m			\
 		startup.1m			\
 		talkd.1m			\
 		telinit.1m			\
@@ -722,10 +711,6 @@
 quotaoff.1m			:= LINKSRC = quotaon.1m
 
 bootparamd.1m			:= LINKSRC = rpc.bootparamd.1m
-rstatd.1m			:= LINKSRC = rpc.rstatd.1m
-rusersd.1m			:= LINKSRC = rpc.rusersd.1m
-rwalld.1m			:= LINKSRC = rpc.rwalld.1m
-sprayd.1m			:= LINKSRC = rpc.sprayd.1m
 yppasswdd.1m			:= LINKSRC = rpc.yppasswdd.1m
 ypupdated.1m			:= LINKSRC = rpc.ypupdated.1m
 
--- old/usr/src/man/man3rpc/Makefile	2017-05-26 19:11:23.960297477 -0400
+++ new/usr/src/man/man3rpc/Makefile	2017-05-26 19:11:24.003720963 -0400
@@ -20,7 +20,8 @@
 
 MANFILES= 	rstat.3rpc	\
 	 	rusers.3rpc	\
-	 	rwall.3rpc
+	 	rwall.3rpc	\
+		spray.3rpc
 
 MANLINKS=	havedisk.3rpc	\
 		rnusers.3rpc
--- old/usr/src/man/man3rpc/rstat.3rpc	2017-05-26 19:11:24.931846740 -0400
+++ new/usr/src/man/man3rpc/rstat.3rpc	2017-05-26 19:11:24.973940847 -0400
@@ -22,11 +22,9 @@
 .fi
 
 .SH PROTOCOL
-.sp
 .LP
 \fB/usr/include/rpcsvc/rstat.x\fR
 .SH DESCRIPTION
-.sp
 .LP
 These routines require that the \fBrpc.rstatd\fR(1M) daemon be configured and
 available on the remote system indicated by \fIhost\fR. The \fBrstat()\fR
@@ -56,7 +54,6 @@
 .sp
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -72,7 +69,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBrup\fR(1), \fBrpc.rstatd\fR(1M), \fBrpc_clnt_calls\fR(3NSL),
-\fBattributes\fR(5)
+\fBrpc_clnt_calls\fR(3NSL), \fBattributes\fR(5)
--- /dev/null	2017-05-26 19:11:23.000000000 -0400
+++ new/usr/src/man/man3rpc/spray.3rpc	2017-05-26 19:11:26.744093008 -0400
@@ -0,0 +1,142 @@
+'\" te
+.\"  Copyright 1989 AT&T  Copyright (c) 1997, Sun Microsystems, Inc.  All Rights Reserved
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH SPRAY 3RPC "Apr 13, 2017"
+.SH NAME
+spray \- scatter data in order to test the network
+.SH SYNOPSIS
+.LP
+.nf
+\fBcc\fR [ \fIflag\fR ... ] \fIfile\fR ... \fB-lsocket\fR \fB-lnsl\fR \
+\fB-lrpcsvc\fR [ \fIlibrary\fR ... ]
+#include <rpcsvc/spray.h>
+
+\fBbool_t\fR \fBxdr_sprayarr\fR(\fBXDR *\fR\fIxdrs\fR, \fBsprayarr *\fR\fIobjp\fR);
+.fi
+
+.LP
+.nf
+\fBbool_t\fR \fBxdr_spraycumul\fR(\fBXDR *\fR\fIxdrs\fR, \fBspraycumul *\fR\fIobjp\fR);
+.fi
+
+.SH DESCRIPTION
+.LP
+The spray program sends packets to a given machine to test communications with
+that machine.
+.sp
+.LP
+The spray program is not a C function interface, per se, but it can be accessed
+using the generic remote procedure calling interface \fBclnt_call()\fR. See
+\fBrpc_clnt_calls\fR(3NSL). The program sends a packet to the called host. The
+host acknowledges receipt of the packet. The program counts the number of
+acknowledgments and can return that count.
+.sp
+.LP
+The spray program currently supports the following procedures, which should be
+called in the order given:
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_CLEAR\fR\fR
+.ad
+.RS 19n
+This procedure clears the counter.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_SPRAY\fR\fR
+.ad
+.RS 19n
+This procedure sends the packet.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_GET\fR\fR
+.ad
+.RS 19n
+This procedure returns the count and the amount of time since the last
+\fBSPRAYPROC_CLEAR\fR.
+.RE
+
+.SH EXAMPLES
+.LP
+\fBExample 1 \fRUsing \fBspray()\fR
+.sp
+.LP
+The following code fragment demonstrates how the spray program is used:
+
+.sp
+.in +2
+.nf
+#include <rpc/rpc.h>
+#include <rpcsvc/spray.h>
+ .  .  .
+	spraycumul	spray_result;
+	sprayarr	spray_data;
+	char		buf[100];		/* arbitrary data */
+	int		loop = 1000;
+	CLIENT	*clnt;
+	struct timeval timeout0 = {0, 0};
+	struct timeval timeout25 = {25, 0};
+	spray_data.sprayarr_len = (uint_t)100;
+	spray_data.sprayarr_val = buf;
+	clnt = clnt_create("somehost", SPRAYPROG, SPRAYVERS, "netpath");
+	if (clnt == (CLIENT *)NULL) {
+		/* handle this error */
+	}
+	if (clnt_call(clnt, SPRAYPROC_CLEAR,
+		xdr_void, NULL, xdr_void, NULL, timeout25)) {
+			/* handle this error */
+	}
+	while (loop\(mi > 0) {
+		if (clnt_call(clnt, SPRAYPROC_SPRAY,
+			xdr_sprayarr, &spray_data, xdr_void, NULL, timeout0)) {
+				/* handle this error */
+		}
+	}
+	if (clnt_call(clnt, SPRAYPROC_GET,
+		xdr_void, NULL, xdr_spraycumul, &spray_result, timeout25)) {
+			/* handle this error */
+	}
+	printf("Acknowledged %ld of 1000 packets in %d secs %d usecs\en",
+		spray_result.counter,
+		spray_result.clock.sec,
+		spray_result.clock.usec);
+.fi
+.in -2
+
+.SH ATTRIBUTES
+.LP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+.sp
+
+.sp
+.TS
+box;
+c | c
+l | l .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
+MT-Level	Unsafe
+.TE
+
+.SH SEE ALSO
+.LP
+\fBrpc_clnt_calls\fR(3NSL), \fBattributes\fR(5)
+.SH NOTES
+.LP
+This interface is unsafe in multithreaded applications.  Unsafe interfaces
+should be called only from the main thread.
+.sp
+.LP
+A spray program is not useful as a networking benchmark as it uses  unreliable
+connectionless transports, for example, udp. It can report a large number of
+packets dropped, when the drops were caused by the program sending packets
+faster than they can be buffered locally, that is, before the packets get to
+the network medium.
--- old/usr/src/man/man3socket/Makefile	2017-05-26 19:11:28.307002464 -0400
+++ new/usr/src/man/man3socket/Makefile	2017-05-26 19:11:28.350259895 -0400
@@ -55,8 +55,7 @@
 		sockaddr.3socket	\
 		shutdown.3socket	\
 		socket.3socket		\
-		socketpair.3socket	\
-		spray.3socket
+		socketpair.3socket
 
 MANLINKS=	accept4.3socket			\
 		endnetent.3socket		\
--- old/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:11:29.288501812 -0400
+++ new/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:11:29.323476575 -0400
@@ -42,28 +42,20 @@
 file path=usr/bin/rdist mode=4555
 file path=usr/bin/rlogin mode=4555
 file path=usr/bin/rsh mode=4555
-file path=usr/bin/rup mode=0555
 file path=usr/bin/ruptime mode=0555
-file path=usr/bin/rusers mode=0555
 file path=usr/bin/whois mode=0555
 file path=usr/sbin/rmt mode=0555
-file path=usr/sbin/rwall mode=0555
 file path=usr/sbin/snoop mode=0555
-file path=usr/sbin/spray mode=0555
 file path=usr/share/man/man1/filesync.1
 file path=usr/share/man/man1/rcp.1
 file path=usr/share/man/man1/rdist.1
 file path=usr/share/man/man1/rlogin.1
 file path=usr/share/man/man1/rsh.1
-file path=usr/share/man/man1/rup.1
 file path=usr/share/man/man1/ruptime.1
-file path=usr/share/man/man1/rusers.1
 file path=usr/share/man/man1/whois.1
 file path=usr/share/man/man1m/rdate.1m
 file path=usr/share/man/man1m/rmt.1m
-file path=usr/share/man/man1m/rwall.1m
 file path=usr/share/man/man1m/snoop.1m
-file path=usr/share/man/man1m/spray.1m
 legacy pkg=SUNWrcmdc \
     desc="Remote Network Client Commands (rsh, rlogin, rcp, rsh, ...)" \
     name="Remote Network Client Commands"
--- old/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:11:30.370471544 -0400
+++ new/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:11:30.409929956 -0400
@@ -40,10 +40,6 @@
 dir path=usr/bin
 dir path=usr/lib
 dir path=usr/lib/netsvc group=sys
-dir path=usr/lib/netsvc/rstat group=sys
-dir path=usr/lib/netsvc/rusers group=sys
-dir path=usr/lib/netsvc/rwall group=sys
-dir path=usr/lib/netsvc/spray group=sys
 dir path=usr/sbin
 dir path=usr/share/man
 dir path=usr/share/man/man1
@@ -53,19 +49,11 @@
 file path=lib/svc/manifest/network/finger.xml group=sys mode=0444
 file path=lib/svc/manifest/network/login.xml group=sys mode=0444
 file path=lib/svc/manifest/network/rexec.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/rstat.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/rusers.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/spray.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rpc/wall.xml group=sys mode=0444
 file path=lib/svc/manifest/network/shell.xml group=sys mode=0444
 file path=lib/svc/manifest/network/talk.xml group=sys mode=0444
 file path=usr/bin/finger mode=0555
 file path=usr/bin/rwho mode=0555
 file path=usr/bin/talk mode=0555
-file path=usr/lib/netsvc/rstat/rpc.rstatd mode=0555
-file path=usr/lib/netsvc/rusers/rpc.rusersd mode=0555
-file path=usr/lib/netsvc/rwall/rpc.rwalld mode=0555
-file path=usr/lib/netsvc/spray/rpc.sprayd mode=0555
 file path=usr/sbin/in.comsat mode=0555
 file path=usr/sbin/in.fingerd mode=0555
 file path=usr/sbin/in.rexecd mode=0555
@@ -83,10 +71,6 @@
 file path=usr/share/man/man1m/in.rshd.1m
 file path=usr/share/man/man1m/in.rwhod.1m
 file path=usr/share/man/man1m/in.talkd.1m
-file path=usr/share/man/man1m/rpc.rstatd.1m
-file path=usr/share/man/man1m/rpc.rusersd.1m
-file path=usr/share/man/man1m/rpc.rwalld.1m
-file path=usr/share/man/man1m/rpc.sprayd.1m
 file path=usr/share/man/man4/hosts.equiv.4
 legacy pkg=SUNWrcmdr desc="Remote Network Server Commands (Root)" \
     name="Remote Network Server Commands (Root)"
@@ -105,10 +89,6 @@
 link path=usr/share/man/man1m/rexecd.1m target=in.rexecd.1m
 link path=usr/share/man/man1m/rlogind.1m target=in.rlogind.1m
 link path=usr/share/man/man1m/rshd.1m target=in.rshd.1m
-link path=usr/share/man/man1m/rstatd.1m target=rpc.rstatd.1m
-link path=usr/share/man/man1m/rusersd.1m target=rpc.rusersd.1m
-link path=usr/share/man/man1m/rwalld.1m target=rpc.rwalld.1m
 link path=usr/share/man/man1m/rwhod.1m target=in.rwhod.1m
-link path=usr/share/man/man1m/sprayd.1m target=rpc.sprayd.1m
 link path=usr/share/man/man1m/talkd.1m target=in.talkd.1m
 link path=usr/share/man/man4/rhosts.4 target=hosts.equiv.4
--- old/usr/src/pkg/manifests/service-network-uucp.mf	2017-05-26 19:11:31.336104477 -0400
+++ new/usr/src/pkg/manifests/service-network-uucp.mf	2017-05-26 19:11:31.371238386 -0400
@@ -113,7 +113,6 @@
 file path=usr/sbin/in.uucpd group=uucp mode=0555
 file path=usr/share/man/man1c/ct.1c
 file path=usr/share/man/man1c/cu.1c
-file path=usr/share/man/man1c/rup.1c
 file path=usr/share/man/man1c/uucp.1c
 file path=usr/share/man/man1c/uuencode.1c
 file path=usr/share/man/man1c/uuglist.1c
--- old/usr/src/pkg/manifests/system-library.man3rpc.inc	2017-05-26 19:11:32.279211897 -0400
+++ new/usr/src/pkg/manifests/system-library.man3rpc.inc	2017-05-26 19:11:32.313508790 -0400
@@ -14,5 +14,6 @@
 file path=usr/share/man/man3rpc/rstat.3rpc
 file path=usr/share/man/man3rpc/rusers.3rpc
 file path=usr/share/man/man3rpc/rwall.3rpc
+file path=usr/share/man/man3rpc/spray.3rpc
 link path=usr/share/man/man3rpc/havedisk.3rpc target=rstat.3rpc
 link path=usr/share/man/man3rpc/rnusers.3rpc target=rusers.3rpc
--- old/usr/src/pkg/manifests/system-library.man3socket.inc	2017-05-26 19:11:33.204535132 -0400
+++ new/usr/src/pkg/manifests/system-library.man3socket.inc	2017-05-26 19:11:33.238676066 -0400
@@ -52,7 +52,6 @@
 file path=usr/share/man/man3socket/sockaddr.3socket
 file path=usr/share/man/man3socket/socket.3socket
 file path=usr/share/man/man3socket/socketpair.3socket
-file path=usr/share/man/man3socket/spray.3socket
 link path=usr/share/man/man3socket/accept4.3socket target=accept.3socket
 link path=usr/share/man/man3socket/endnetent.3socket \
     target=getnetbyname.3socket
